# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Typedefs | Functions | Variables

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/std_types.hpp File Reference

`#include <vlCore/config.hpp>`
`#include <vlCore/checks.hpp>`

Go to the source code of this file.

## Classes

class | vl::radian
| Simple class representing quantities in radians, converts automatically to vl::degree and real. More...
class | vl::degree
| Simple class representing quantities in degrees, converts automatically to vl::radian and real. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Typedefs

typedef char | vl::i8
| 8 bits signed integer
typedef unsigned char | vl::u8
| 8 bits unsigned integer
typedef short | vl::i16
| 16 bits signed integer
typedef unsigned short | vl::u16
| 16 bits unsigned integer
typedef int | vl::i32
| 32 bits signed integer
typedef unsigned int | vl::u32
| 32 bits unsigned integer
typedef long long | vl::i64
| 64 bits signed integer
typedef unsigned long long | vl::u64
| 64 bits unsigned integer
typedef float | vl::f32
| 32 bits floating point value
typedef double | vl::f64
| 64 bits floating point value

## Functions

template<typename T >
void | vl::swapBytes (T &value)
| Swaps the byte order of the given object.
| vl::VL_COMPILE_TIME_CHECK (sizeof(i8)*8==8)
| vl::VL_COMPILE_TIME_CHECK (sizeof(u8)*8==8)
| vl::VL_COMPILE_TIME_CHECK (sizeof(i16)*8==16)
| vl::VL_COMPILE_TIME_CHECK (sizeof(u16)*8==16)
| vl::VL_COMPILE_TIME_CHECK (sizeof(i32)*8==32)
| vl::VL_COMPILE_TIME_CHECK (sizeof(u32)*8==32)
| vl::VL_COMPILE_TIME_CHECK (sizeof(i64)*8==64)
| vl::VL_COMPILE_TIME_CHECK (sizeof(u64)*8==64)
| vl::VL_COMPILE_TIME_CHECK (sizeof(f32)*8==32)
| vl::VL_COMPILE_TIME_CHECK (sizeof(f64)*8==64)

## Variables

const double | vl::dPi = 3.141592653589793238462643383279502884197169399375105820974944592307816406286208998628034825342117067982148086513282306647093845
| Greek Pi constant using `double` precision.
const double | vl::dDEG_TO_RAD = dPi / 180.0
| Constant to convert degree into radian using `double` precision.
const double | vl::dRAD_TO_DEG = 180.0 / dPi
| Constant to convert radian into degree using `double` precision.
const float | vl::fPi = (float)3.141592653589793238462643383279502884197169399375105820974944592307816406286208998628034825342117067982148086513282306647093845
| Greek Pi constant using `float` precision.
const float | vl::fDEG_TO_RAD = float(dPi / 180.0)
| Constant to convert degree into radian using `float` precision.
const float | vl::fRAD_TO_DEG = float(180.0 / dPi)
| Constant to convert radian into degree using `float` precision.

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:49.
Permission is granted to use this page to write and publish articles regarding Visualization Library.